package fr.inria.alpage.frmgcm.dpp;
/* Generated By:JJTree: Do not edit this line. ASTDPathTest.java Version 6.0 */
/* JavaCCOptions:MULTI=true,NODE_USES_PARSER=false,VISITOR=false,TRACK_TOKENS=false,NODE_PREFIX=AST,NODE_EXTENDS=,NODE_FACTORY=,SUPPORT_CLASS_VISIBILITY_PUBLIC=true */
public
class ASTDPathTest extends SimpleNode {
  public ASTDPathTest(int id) {
    super(id);
  }

  public ASTDPathTest(DPathParser p, int id) {
    super(p, id);
  }

  public String name ;
  
  public void setName(String image) {
    name = image;
    
  }
  
  public String val ="";
  
  public void setStringVal(String image) {
    val = image.substring(1,image.length()-1);
    
  }
  
  public void setIntVal(String image) {
    val = image;
    
  }
  
  public String operator ="=";
  
  public void setOperator(String image) {
    operator = image;
    
  }
  
  public boolean isAttr = false;
  
  public void setAttr(boolean val){
    isAttr = val;
  }
  
  public String toString() {
    return DPathParserTreeConstants.jjtNodeName[id]+ " : "+name+" ("+val+")";
  }

}
/* JavaCC - OriginalChecksum=765f716c3e8ed26f2d30bd241856d915 (do not edit this line) */
